import '../style/style';
import '../style/index';
import $ from 'jquery';
import { setTimeout } from 'timers';
$(document).ready(function() {
  const dataList = window.sessionStorage.getItem('dataList');
  if(!dataList) {
    window.location.href="./login.html";
    return false;
  }
  const boardUrl = JSON.parse(dataList).shareTask.boardUrl;
  const desktopUrl = JSON.parse(dataList).shareTask.desktopUrl;
  const title = JSON.parse(dataList).shareJoinUser.title;
  const shareJoinUserId =  JSON.parse(dataList).shareJoinUser.id;
  $('.title').html(title)
  let bigVideo = new ChimeePlayer({
    wrapper: '#bigVideo',  // video dom容器
    src: boardUrl,
    box: 'hls',
    isLive: true,
    autoplay: true,
    muted: false
  });
  let smallVideo = new ChimeePlayer({
    wrapper: '#smallVideo',  // video dom容器
    src: desktopUrl,
    box: 'hls',
    isLive: true,
    autoplay: true,
    muted: true
  });
  $('#smallVideo').click(function () {
    $('#bigVideo').removeClass('big-video').addClass('small-video');
    $('#smallVideo').removeClass('small-video').addClass('big-video');
    smallVideo.muted = false;
    bigVideo.muted = true;
  })
  $('#bigVideo').click(function () {
    $('#bigVideo').removeClass('small-video').addClass('big-video');
    $('#smallVideo').removeClass('big-video').addClass('small-video');
    smallVideo.muted = true;
    bigVideo.muted = false;
  })
  // 判断用户是否存在回调
  function shareJoin () {
    setTimeout(function () {
      $.get(`${process.env.BASE_API}sharedWhiteBoard/shareJoin/update`, {
        shareJoinUserId
      }, function (res) {
        if(res.code == 200) {
          shareJoin();
        }
      });
    },5000)
  }
  shareJoin();
})
